List of uploads of offline conversions

Linking statuses in offline conversion reports may currently be displayed incorrectly. For the actual share of linked conversions, go to the counter settings and open the Upload data page.

Returns the list of uploads of offline conversions.

Request

GET

https://api-metrika.yandex.net/management/v1/counter/{counterId}/offline_conversions/uploadings

Path parameters

Name

Description

counterId

Type: integer

ID of the tag for which you want to get a list of offline conversion uploads.

Query parameters

Name

Description

limit

Type: integer

Default: 10000

offset

Type: integer

Default: 0

type

Type: string

Offline conversion type. Possible values:

  • BASIC: Default type.
  • CALLS: Calls.
  • CHATS: Chats.

Default: BASIC

Example: BASIC

Responses

200 OK

OK

Body

application/json
{
  "uploadings": [
    {
      "id": 0,
      "create_time": "2025-01-01T00:00:00Z",
      "source_quantity": 0,
      "line_quantity": 0,
      "comment": "example",
      "type": "BASIC",
      "client_id_type": "USER_ID",
      "status": "example"
    }
  ]
}

Name

Description

uploadings

Type: OfflineConversionUploading[]

Example
[
  {
    "id": 0,
    "create_time": "2025-01-01T00:00:00Z",
    "source_quantity": 0,
    "line_quantity": 0,
    "comment": "example",
    "type": "BASIC",
    "client_id_type": "USER_ID",
    "status": "example"
  }
]

OfflineConversionUploading

Information about an upload of offline conversions.

Name

Description

client_id_type

Type: string

Type of user IDs. Possible values:

  • USER_ID: Site user ID assigned by the site owner.
  • CLIENT_ID: Site user ID assigned by Yandex Metrica.
  • Yclid: ID of a click on a Yandex Direct ad assigned by Yandex Direct.

Example: USER_ID

comment

Type: string

Custom comment. The maximum number of characters is 255.

Min length: 0

Max length: 255

Example: example

create_time

Type: string<date-time>

Upload time.

Example: 2025-01-01T00:00:00Z

id

Type: integer

Upload ID.

line_quantity

Type: integer

Number of rows that passed validation during upload.

source_quantity

Type: integer

Number of rows in the source file.

status

Type: string

Upload status:

  • PREPARED: Upload prepared.
  • UPLOADED: Upload complete.
  • EXPORTED: Upload exported.
  • MATCHED: Event IDs matched.
  • PROCESSED: Upload processed.
  • LINKAGE_FAILURE: Couldn't find a matching user ID. If you send data on static calls, they won't be attributed to sessions in Yandex Metrica, but they will appear in your call reports.

Example: example

type

Type: string

Possible values:

  • BASIC: Default type.
  • CALLS: Calls.
  • CHATS: Chats.

Example: BASIC

Example
{
  "id": 0,
  "create_time": "2025-01-01T00:00:00Z",
  "source_quantity": 0,
  "line_quantity": 0,
  "comment": "example",
  "type": "BASIC",
  "client_id_type": "USER_ID",
  "status": "example"
}